import { jsx as _jsx } from "react/jsx-runtime";
import { ProgressBar } from '../../../../ProgressBar';
import { Wrapper } from './styles';
import { useLogic } from './useLogic';
export const Progress = (props) => {
    const { progressBarProps } = useLogic(props);
    return (_jsx(Wrapper, { children: _jsx(ProgressBar, { ...progressBarProps }) }));
};
